// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using Hyak.Common;
using System.Collections.Generic;

namespace Microsoft.Azure.Management.Internal.Resources.Models
{
    /// <summary>
    /// Provider Operations metadata
    /// </summary>
    public partial class ProviderOperationsMetadata
    {
        private string _displayName;

        /// <summary>
        /// Optional. Gets or sets the provider display name
        /// </summary>
        public string DisplayName
        {
            get { return this._displayName; }
            set { this._displayName = value; }
        }

        private string _id;

        /// <summary>
        /// Optional. Gets or sets the provider id.
        /// </summary>
        public string Id
        {
            get { return this._id; }
            set { this._id = value; }
        }

        private string _name;

        /// <summary>
        /// Optional. Gets or sets the provider name
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }

        private IList<Operation> _operations;

        /// <summary>
        /// Optional. Gets or sets the provider operations
        /// </summary>
        public IList<Operation> Operations
        {
            get { return this._operations; }
            set { this._operations = value; }
        }

        private IList<ResourceType> _resourceTypes;

        /// <summary>
        /// Optional. Gets or sets the provider resource types
        /// </summary>
        public IList<ResourceType> ResourceTypes
        {
            get { return this._resourceTypes; }
            set { this._resourceTypes = value; }
        }

        private string _type;

        /// <summary>
        /// Optional. Gets or sets the provider type
        /// </summary>
        public string Type
        {
            get { return this._type; }
            set { this._type = value; }
        }

        /// <summary>
        /// Initializes a new instance of the ProviderOperationsMetadata class.
        /// </summary>
        public ProviderOperationsMetadata()
        {
            this.Operations = new LazyList<Operation>();
            this.ResourceTypes = new LazyList<ResourceType>();
        }
    }
}
